import {
  select,
  json,
  geoPath,
  geoNaturalEarth1,
} from 'd3';
import { feature } from 'topojson';


let selectedCountry = null;
const svg = select('svg');

const onClick = id => {
  selectedCountry = id;
 // render();
};

/*const render = () => {
  countries(svg, {
    onClick
  });
};*/

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

svg.append('path')
    .attr('class', 'sphere')
    .attr('d', pathGenerator({type: 'Sphere'}));

json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')
  .then(data => {
    const countries = feature(data, data.objects.countries);
    .selectAll('path').data(countries.features)
      .enter().append('path')
        .attr('class','country')
        .attr('d', pathGenerator)
	  .merge(svg)
        .on('click', d => {
    	  console.log(d.id)
    });
});
